## Random scripts that I have written for various tasks!

### Bash

**backupProgramFiles.sh**  
This is a script that I created to zip up my Program Files folders on my C: drive as those are permanently excluded by the backup software I use. I could probably dive in and pick specific applications that I know store their configutaions in the Program Files folders but for now I just do the whole thing. This script also clears out backups older than 2 weeks (I run it weekly) and emails a summary to the provided address through the specified mail relay server. Be sure to edit smtp-creds.sh to include your information.

**convertHEICtoJPG.sh**  
This script will convert your HEIC files (a format Apple saves photos with) to JPGs. Flip saveasjpg at the top to save as PNG instead. This will result in much larger file sizes. Set keeporiginals to 0 to delete the HEIC files after they're converted. The HEIC files are saved kept around by default. For best results set this up as a cron job.  
\* Requires the ImageMagick CLI software to be installed with HEIC support. There are links at the top of the script to do this.

**cleanupBeatSaberSongs.sh**  
I wrote this script because I was tired of using the excuse that the folder names are jibberish (98e299036de1688c3f60cda87728ee3c2969188<wbr>8 for example) to not clean up my custom song library. This script goes through all the folders that are 40 characters long (didn't check for only hexadecimal characters so be warned ye ol 40 character song titles), extracts information from their info.dat files (in 2 ways funny enough), and renames the folders to the actual song names with the artist and mapper separated by hyphens. This way if you happen to have a song mapped by different people they don't get overwritten.

**terminalTweaks.txt**  
This isn't so much a script as some small quality of life improvements I've made to my WSL Ubuntu 20.04 systems and Ubuntu 20.04 server. Add whichever you like to the end of your .profile and use 'source ~/.profile' to load it immediately.


### AutoHotKey

**RemapWindowsShortcuts.ahk**  
This script will replace the Windows Key + E shortcut for explorer and the Windows Key + S shortcut for search with Explorer++ and Everything (this does require you to have these programs already installed on your system). Also added is the Windows key + T to launch Windows Terminal (taken from launching terminal this way on XUbuntu).
Edit the script to point to the executables for each program and create a shortcut to your shell:startup folder to run on launch.

### Javascript

**USPS-CollapseTracking.js**  
This is a tampermonkey script that collapses the 'see more' portion of the USPS tracking page and scrolls to the top.

### AppTweaks

These items aren't really scripts but they are useful little changes I've made to various programs I use that I wanted to consolidate in to one place. Hopefully the comments explain what they all do well enough.

#### Firefox

**about_config.md**  
This contains the modificaitons that I make to the about:config page of firefox... That's about it. Other files may make other more significant changes and those are not tracked here (userChrome.css for example).

**userChrome.css**  
This file contains the CSS data to remove the close tab buttons from the tabs in Firefox. Also included in the form of comments are the instructions to do so as well as the page that I found this solution on.

#### Windows Terminal

**settings.json**  
This is the settings file that I have modified to my liking. The images are in the directory as well.

### Task Scheduler

**startWSLCronTab.xml**  
This script should be imported to Windows Task Scheduler and will start the crontab service upon logging in to your Windows account. You will have to modify the user account to your own under the security options in General and the Triggers tabs. Be sure to also edit the command to reflect the distrubution you have installed.


### Rainmeter

#### FTL

This is the Rainmeter skin created by [/u/Tuxwonder](https://reddit.com/user/tuxwonder) and modified by myself to add extra CPU measures, extra disks, and a few other small tweaks. The large images have been removed to conserve space.
more to come
